Bug 111599 - [CI][RESUME] igt@gem_ctx_isolation@* - skip - Test requirement: !(gen > LAST_KNOWN_GEN), SKIP
Summary: [CI][RESUME] igt@gem_ctx_isolation@* - skip - Test requirement: !(gen > LAST_...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: XOrg git
Hardware: Other All
: high not set
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-09 08:31 UTC by Martin Peres
Modified: 2019-10-16 12:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-09-09 08:31:39 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@bcs0-dirty-switch.html

Test requirement not met in function __real_main808, file ../tests/i915/gem_ctx_isolation.c:827:
Test requirement: !(gen > LAST_KNOWN_GEN)
Subtest bcs0-dirty-switch: SKIP
Comment 1 CI Bug Log 2019-09-09 08:32:03 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@gem_ctx_isolation@* - skip - Test requirement: !(gen > LAST_KNOWN_GEN), SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@bcs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vecs0-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs1-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs1-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs1-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs2-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@bcs0-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vecs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs2-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs1-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@vcs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_isolation@rcs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs2-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@bcs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs2-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs2-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@bcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs1-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@rcs0-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@bcs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs1-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs1-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vecs0-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@bcs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs0-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs2-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vecs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vecs0-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@rcs0-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs2-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vecs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs1-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vcs2-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@bcs0-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@vecs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@rcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@gem_ctx_isolation@rcs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs2-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@bcs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs2-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs2-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@bcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs1-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@rcs0-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@bcs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@rcs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@bcs0-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@bcs0-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs1-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs1-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vecs0-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@bcs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs2-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vecs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vecs0-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vecs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vecs0-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@rcs0-clean.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs2-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vecs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs0-dirty-switch.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs0-reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs1-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs2-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@rcs0-dirty-create.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@rcs0-none.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@vcs0-nonpriv.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@gem_ctx_isolation@rcs0-reset.html
Comment 2 CI Bug Log 2019-10-01 06:51:14 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: igt@gem_ctx_isolation@* - skip - Test requirement: !(gen > LAST_KNOWN_GEN), SKIP -}
{+ TGL: igt@gem_ctx_isolation@* - skip - Test requirement: !(gen > LAST_KNOWN_GEN), SKIP +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6974/shard-tglb2/igt@gem_ctx_isolation@vecs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6974/shard-tglb3/igt@gem_ctx_isolation@rcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6974/shard-tglb5/igt@gem_ctx_isolation@vcs2-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6975/shard-tglb2/igt@gem_ctx_isolation@vcs2-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6975/shard-tglb6/igt@gem_ctx_isolation@rcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6975/shard-tglb6/igt@gem_ctx_isolation@vecs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6976/shard-tglb5/igt@gem_ctx_isolation@rcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6976/shard-tglb5/igt@gem_ctx_isolation@vcs2-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6976/shard-tglb6/igt@gem_ctx_isolation@bcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6976/shard-tglb6/igt@gem_ctx_isolation@vcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6977/shard-tglb1/igt@gem_ctx_isolation@rcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6977/shard-tglb1/igt@gem_ctx_isolation@vcs2-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6977/shard-tglb2/igt@gem_ctx_isolation@bcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6977/shard-tglb2/igt@gem_ctx_isolation@vcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6977/shard-tglb5/igt@gem_ctx_isolation@vecs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6978/shard-tglb1/igt@gem_ctx_isolation@vcs2-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6978/shard-tglb2/igt@gem_ctx_isolation@bcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6978/shard-tglb2/igt@gem_ctx_isolation@vcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6978/shard-tglb2/igt@gem_ctx_isolation@rcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6979/shard-tglb1/igt@gem_ctx_isolation@vecs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6979/shard-tglb4/igt@gem_ctx_isolation@vcs2-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6979/shard-tglb5/igt@gem_ctx_isolation@bcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6979/shard-tglb5/igt@gem_ctx_isolation@vcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6979/shard-tglb6/igt@gem_ctx_isolation@rcs0-nonpriv-switch.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6979/shard-tglb6/igt@gem_ctx_isolation@vcs1-nonpriv-switch.html
Comment 3 Chris Wilson 2019-10-04 16:07:20 UTC
commit d17a484b3c22706b2b004ef1577f367d79235e43 (upstream/master, origin/master, origin/HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 2 12:22:29 2019 +0100

    i915/gem_ctx_isolation: Bump support for Tigerlake
    
    There's very little variation in non-privileged registers for Tigerlake,
    so we can mostly inherit the set from gen11. There is no whitelist at
    present, so we do not need to add any special registers.
    
    v2: Add COMMON_SLICE_CHICKEN2, GEN9_SLICE_COMMON_ECO_CHICKEN1 and a
    variety of huc readonly status registers.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111599
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Comment 4 Martin Peres 2019-10-16 12:36:33 UTC
(In reply to Chris Wilson from comment #3)
> commit d17a484b3c22706b2b004ef1577f367d79235e43 (upstream/master,
> origin/master, origin/HEAD)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Wed Oct 2 12:22:29 2019 +0100
> 
>     i915/gem_ctx_isolation: Bump support for Tigerlake
>     
>     There's very little variation in non-privileged registers for Tigerlake,
>     so we can mostly inherit the set from gen11. There is no whitelist at
>     present, so we do not need to add any special registers.
>     
>     v2: Add COMMON_SLICE_CHICKEN2, GEN9_SLICE_COMMON_ECO_CHICKEN1 and a
>     variety of huc readonly status registers.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111599
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>

Looks good, thanks!
Comment 5 CI Bug Log 2019-10-16 12:36:39 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.